SMS Event -- Create

Creates an SMS event subscription. A webhook_id is required so that we know to which url the events shall be sent. An SMS direction is also required in order to limit the direction for which SMS events are sent. Use 'all' to get SMS events for all directions. A target_type and target_id may optionally be provided to scope the events only to SMS to/from that target.

See https://developers.dialpad.com/docs/sms-events for details on how SMS events work, including the payload structure and payload examples.

NOTE: To include the MESSAGE CONTENT in SMS events, your API key needs to have the "message_content_export" OAuth scope for when a target is specified in this API and/or "message_content_export:all" OAuth scope for when no target is specified.

NOTE: See https://developers.dialpad.com/v1.0-archive/reference for APIs that can operate on subscriptions that were created via the deprecated APIs.

Added on April 9th, 2021 for API v2.

Rate limit: 1200 per minute.

Body Params
string
enum
required

The SMS direction this event subscription subscribes to.

Allowed:
boolean | null
Defaults to true

Whether or not the SMS event subscription is enabled.

int64 | null

The logging endpoint's ID, which is generated after creating a webhook or websocket successfully.

boolean | null
Defaults to false

Whether or not to trigger SMS events for SMS sent between two users from the same company.

boolean | null
Defaults to false

Whether or not to update on each SMS delivery status.

int64 | null

The ID of the specific target for which events should be sent.

string | null
enum

The target's type.

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json